summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authorrsesek@chromium.org <rsesek@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-09-17 21:08:30 +0000
committerrsesek@chromium.org <rsesek@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-09-17 21:08:30 +0000
commit01223eadb24c7057b9b21281976bf7daf815e30d (patch)
tree5eb7be43b55973a34e6547ec143e9cb89fa0eaed /build
parent5258a87afdf228e98011959aded19bee3c92ea71 (diff)
downloadchromium_src-01223eadb24c7057b9b21281976bf7daf815e30d.zip
chromium_src-01223eadb24c7057b9b21281976bf7daf815e30d.tar.gz
chromium_src-01223eadb24c7057b9b21281976bf7daf815e30d.tar.bz2
[Mac] Move the lists of XIB files into a gypi file.
This creates lists of XIB files that Chromium has. It also lays the groundwork for editing XIB files on Xcode 4.4 by creating a fake project for working in Xcode. BUG=149763 TEST=No changes in build output. TBR=mark@chromium.org Review URL: https://codereview.chromium.org/10918254 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@157199 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'build')
-rwxr-xr-xbuild/mac/edit_xibs.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/build/mac/edit_xibs.sh b/build/mac/edit_xibs.sh
new file mode 100755
index 0000000..a305455
--- /dev/null
+++ b/build/mac/edit_xibs.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Copyright (c) 2012 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# This script is a convenience to run GYP for /src/chrome/chrome_nibs.gyp
+# with the Xcode generator (as you likely use ninja). Documentation:
+# http://dev.chromium.org/developers/design-documents/mac-xib-files
+
+set -e
+
+RELSRC=$(dirname "$0")/../..
+SRC=$(cd "$RELSRC" && pwd)
+GYP_GENERATORS=xcode python "$SRC/tools/gyp/gyp" "$SRC/chrome/chrome_nibs.gyp"
+echo "You can now edit XIB files in Xcode using:"
+echo " $SRC/chrome/chrome_nibs.xcodeproj"